local pth = fs.getDir(shell.getRunningProgram())
local c = fs.combine
local function p(name)
	return c(pth,name)
end
local assets = {}
local find
function find(path,tbl)
	local apth = p(path)
	local list = fs.list(apth)
	for t=1,#list do
		if fs.isDir(c(apth,list[t])) then
			tbl[list[t]] = {}
			find(c(path,list[t]),tbl[list[t]])
		else
			local n = lUtils.getFileName(list[t])
			tbl[n] = lUtils.asset.load(c(apth,list[t]))
		end
	end
	return true
end
find("assets",assets)
return assets